#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		sure
Summary:	Utility belt for automated testing in Python for Python
Summary(pl.UTF-8):	Narzędzia do automatycznego testowania w Pythonie
Name:		python-%{module}
Version:	1.4.11
Release:	2
License:	GPL v3+
Group:		Libraries/Python
#Source0Download; https://pypi.org/simple/sure/
Source0:	https://files.pythonhosted.org/packages/source/s/sure/%{module}-%{version}.tar.gz
# Source0-md5:	51f28b4ea7a6f59d1dd09f8eaaeabee7
Patch0:		%{name}-mock.patch
URL:		https://github.com/gabrielfalcao/sure
%if %{with python2}
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-mock >= 2.0.0
BuildRequires:	python-nose
BuildRequires:	python-setuptools
BuildRequires:	python-six >= 1.10.0
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-nose
BuildRequires:	python3-setuptools
BuildRequires:	python3-six >= 1.10.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A testing library for Python with powerful and flexible assertions.
Sure is heavily inspired by should.js.

%description -l pl.UTF-8
Biblioteka testów dla Pythona z bardzo elastycznymi asercjami. Sure
jest znacząco zainspirowany should.js.

%package -n python3-%{module}
Summary:	Utility belt for automated testing in python for python
Summary(pl.UTF-8):	Narzędzia do automatycznego testowania w Pythonie
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-%{module}
A testing library for Python with powerful and flexible assertions.
Sure is heavily inspired by should.js.

%description -n python3-%{module} -l pl.UTF-8
Biblioteka testów dla Pythona z bardzo elastycznymi asercjami. Sure
jest znacząco zainspirowany should.js.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst
%{py_sitescriptdir}/sure
%{py_sitescriptdir}/sure-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/sure
%{py3_sitescriptdir}/sure-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sure.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> 37858b1
- release 2 (by relup.sh)

* Sat Jun 06 2020 Jakub Bogusz <qboosh@pld-linux.org> efd08cc
- updated to 1.4.11
- added mock patch (use unittest.mock instead of separate mock under py3)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ae9a5ca
- rebuild with python 3.8
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 07db4e4
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c90bf4
- python 3.6
- release 2 (by relup.sh)

* Tue Sep 06 2016 Elan Ruusamäe <glen@delfi.ee> b57e180
- up to 1.2.24

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> f1c8fb3
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 84f8281
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5cbb06d
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6171de8
- release 4 (by relup.sh)

* Mon Jul 06 2015 Mateusz Korniak <matkor@pld-linux.org> 0b5d1b0
- Release 3. Added BRs.

* Mon Jul 06 2015 Mateusz Korniak <matkor@pld-linux.org> e746740
- Release 2. Fixed Python 3.4 build and tests.

* Fri Jul 03 2015 Mateusz Korniak <matkor@pld-linux.org> 66ec76e
- Version 1.2.12-1.

* Fri Mar 06 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d118f3
- up to 1.2.9

